Last modified: 2012-08-04 20:48:41 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 21549 - Make constraints DEFERRABLE in postgresql
Make constraints DEFERRABLE in postgresql
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.16.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Greg Sabino Mullane
:
Depends on:
Blocks: postgres 21548
  Show dependency treegraph
 
Reported: 2009-11-17 10:26 UTC by grdscarabe
Modified: 2012-08-04 20:48 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Make all constraints deferrable (11.40 KB, patch)
2009-11-17 10:26 UTC, grdscarabe
Details

Description grdscarabe 2009-11-17 10:26:33 UTC
Created attachment 6794 [details]
Make all constraints deferrable

In order to be able to load a mediawiki dump with mwdumper in PostgreSQL without needing to be the super-user, all constraints must be deferrable in order to delay their application until the end of the transaction (cf. Bug 21548).

I attached a patch.
Comment 1 Greg Sabino Mullane 2010-03-22 18:14:37 UTC
Thanks, applied a modified version, and made update.php do the right thing as well. See r64033.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links